summaryrefslogtreecommitdiffstats
path: root/avidemux
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-10-15 12:49:28 +0000
committer Eric Hameleers <alien@slackware.com>2013-10-15 12:49:28 +0000
commit135820947c59036c7a8262c5f99a97bf17df57d8 (patch)
tree48ef2f0df2bdde8837c0cb3ab60eac55954d17f9 /avidemux
parent73103ceb36d75a6f177aa4a758279b7e90a19bf2 (diff)
downloadasb-135820947c59036c7a8262c5f99a97bf17df57d8.tar.gz
asb-135820947c59036c7a8262c5f99a97bf17df57d8.tar.xz
Update to 2.6.0
Diffstat (limited to 'avidemux')
-rwxr-xr-xavidemux/build/avidemux.SlackBuild213
1 files changed, 154 insertions, 59 deletions
diff --git a/avidemux/build/avidemux.SlackBuild b/avidemux/build/avidemux.SlackBuild
index 18c04780..b1d39950 100755
--- a/avidemux/build/avidemux.SlackBuild
+++ b/avidemux/build/avidemux.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2009, 2010, 2011 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2010, 2011, 2013 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -41,6 +41,8 @@
# * New release.
# 2.5.4-1: 11/may/2011 by Eric Hameleers <alien@slackware.com>
# * New release. Added VP8 support.
+# 2.6.0-1: 15/oct/2013 by Eric Hameleers <alien@slackware.com>
+# * New release, built for Slackware 14.
#
# Run 'sh avidemux.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -51,7 +53,7 @@
# Set initial variables:
PRGNAM=avidemux
-VERSION=${VERSION:-2.5.4}
+VERSION=${VERSION:-2.6.0}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -74,12 +76,15 @@ SRCURL="http://downloads.sourceforge.net/${PRGNAM}/${PRGNAM}_${VERSION}.tar.gz"
##
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ armv6hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
@@ -90,6 +95,12 @@ case "$ARCH" in
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ armv6hl) SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
*) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
@@ -117,10 +128,11 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- echo "Source '$(basename ${SOURCE})' not available yet..."
echo "Will download file to $(dirname $SOURCE)"
wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
@@ -151,37 +163,33 @@ tar -xvf ${SOURCE}
cd ${PRGNAM}_${VERSION}
touch $OUTPUT/patch-${PRGNAM}.log
-## Fix location of internationalisation files (no longer needed since 2.5.3):
-#cat $SRCDIR/avidemux-2.5_i18n.diff | patch -p1 --verbose 2>&1 \
-# | tee $OUTPUT/patch-${PRGNAM}.log
-
-# Fix broken sound output in Qt interface:
-cat $SRCDIR/avidemux-2.5.4_audioDevice.patch | patch -p0 --verbose 2>&1 \
- | tee -a $OUTPUT/patch-${PRGNAM}.log
-
-# Fix crash in the GTK dialog:
-cat $SRCDIR/avidemux-2.5.4_gtkmenu_crash.patch | patch -p0 --verbose 2>&1 \
- | tee -a $OUTPUT/patch-${PRGNAM}.log
-
-# Fix compilation against recent snapshots of x264:
-cat $SRCDIR/avidemux-2.5.4_x264.patch | patch -p0 --verbose 2>&1 \
- | tee -a $OUTPUT/patch-${PRGNAM}.log
-
-# Use correct X264 option with recent snapshots of x264:
-cat $SRCDIR/avidemux-2.5.4_x264_option.patch | patch -p0 --verbose 2>&1 \
- | tee -a $OUTPUT/patch-${PRGNAM}.log
-
if [ "$ARCH" = "x86_64" ]; then
# Some paths are incorrectly hardcoded to "lib":
- sed -i -e "s/Dir=\"lib\"/Dir=\"lib${LIBDIRSUFFIX}\"/" $(grep -lr 'Dir="lib"' .)
+ sed -i -e "s/Dir=\"lib\"/Dir=\"lib${LIBDIRSUFFIX}\"/" $(grep -lr 'Dir="lib"' .) || true
fi
chown -R root:root .
chmod -R u+w,go+r-w,a+X-s .
-echo Building core ...
-mkdir -p build
-cd build
+echo "Building core ..."
+mkdir -p build_core
+cd build_core
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DFAKEROOT=${PKG} \
+ ../avidemux_core
+ make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
+
+echo "Building QT4 GUI..."
+mkdir -p build_qt4
+cd build_qt4
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
@@ -189,14 +197,15 @@ cd build
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- ..
+ -DFAKEROOT=${PKG} \
+ ../avidemux/qt4
make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
cd -
-echo Building plugins ...
-mkdir -p build_plugins
-cd build_plugins
+echo "Building GTK GUI..."
+mkdir -p build_gtk
+cd build_gtk
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
@@ -204,33 +213,119 @@ cd build_plugins
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DFAKEROOT=${PKG} \
+ ../avidemux/gtk
+ make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
+
+echo "Building cli..."
+mkdir -p build_cli
+cd build_cli
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DFAKEROOT=${PKG} \
+ ../avidemux/cli
+ make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
+
+echo "Building plugins (common)..."
+mkdir -p build_plugins_common
+cd build_plugins_common
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPLUGIN_UI=COMMON \
-DAVIDEMUX_SOURCE_DIR=$(cd .. ; pwd) \
- -DAVIDEMUX_CORECONFIG_DIR=$(cd .. ; pwd)/build/config \
- -DAVIDEMUX_INSTALL_PREFIX=$(cd .. ; pwd)/build \
- ../plugins
+ -DFAKEROOT=${PKG} \
+ ../avidemux_plugins
make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
cd -
-# Add the menu entry:
-mkdir -p $PKG/usr/share/{applications,pixmaps}
-mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
-# If the qt4 binary was built, we prefer to use that over the gtk version:
-if [ -x $PKG/usr/bin/avidemux2_qt4 ]; then
- cat avidemux2.desktop | sed -e 's/_gtk/_qt4/' \
- > $PKG/usr/share/applications/avidemux2.desktop
-else
- install -m644 avidemux2.desktop $PKG/usr/share/applications/avidemux2.desktop
-fi
-install -m644 avidemux_icon.png $PKG/usr/share/pixmaps/avidemux.png
-install -m644 avidemux_icon.png \
- ${PKG}/usr/share/icons/hicolor/64x64/apps/avidemux.png
-convert avidemux_icon.png -resize 16x16 \
- ${PKG}/usr/share/icons/hicolor/16x16/apps/avidemux.png
-convert avidemux_icon.png -resize 32x32 \
- ${PKG}/usr/share/icons/hicolor/32x32/apps/avidemux.png
-convert avidemux_icon.png -resize 48x48 \
- ${PKG}/usr/share/icons/hicolor/48x48/apps/avidemux.png
+echo "Building plugins (qt4)..."
+mkdir -p build_plugins_qt4
+cd build_plugins_qt4
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPLUGIN_UI=QT4 \
+ -DAVIDEMUX_SOURCE_DIR=$(cd .. ; pwd) \
+ -DFAKEROOT=${PKG} \
+ ../avidemux_plugins
+ make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
+
+echo "Building plugins (gtk)..."
+mkdir -p build_plugins_gtk
+cd build_plugins_gtk
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPLUGIN_UI=GTK \
+ -DAVIDEMUX_SOURCE_DIR=$(cd .. ; pwd) \
+ -DFAKEROOT=${PKG} \
+ ../avidemux_plugins
+ make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
+
+echo "Building plugins (cli)..."
+mkdir -p build_plugins_cli
+cd build_plugins_cli
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPLUGIN_UI=CLI \
+ -DAVIDEMUX_SOURCE_DIR=$(cd .. ; pwd) \
+ -DFAKEROOT=${PKG} \
+ ../avidemux_plugins
+ make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+ make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
+
+## Add the menu entry:
+#mkdir -p $PKG/usr/share/{applications,pixmaps}
+#mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
+## If the qt4 binary was built, we prefer to use that over the gtk version:
+#if [ -x $PKG/usr/bin/avidemux2_qt4 ]; then
+# cat avidemux2.desktop | sed -e 's/_gtk/_qt4/' \
+# > $PKG/usr/share/applications/avidemux2.desktop
+#else
+# install -m644 avidemux2.desktop $PKG/usr/share/applications/avidemux2.desktop
+#fi
+#install -m644 avidemux_icon.png $PKG/usr/share/pixmaps/avidemux.png
+#install -m644 avidemux_icon.png \
+# ${PKG}/usr/share/icons/hicolor/64x64/apps/avidemux.png
+#convert avidemux_icon.png -resize 16x16 \
+# ${PKG}/usr/share/icons/hicolor/16x16/apps/avidemux.png
+#convert avidemux_icon.png -resize 32x32 \
+# ${PKG}/usr/share/icons/hicolor/32x32/apps/avidemux.png
+#convert avidemux_icon.png -resize 48x48 \
+# ${PKG}/usr/share/icons/hicolor/48x48/apps/avidemux.png
# Add this to the doinst.sh:
! [ -d $PKG/install ] && mkdir -p $PKG/install